Update All Tasks

Updates all tasks.

Usage Notes:

This API can be used to batch assign all tasks. For example:

PATCH workflow/v1/tasks?action=assignTo&loanId={loanId}&associatedEntityId={associatedEntityId}&associatedEntityType={associatedEntityType}&relationship={relationship}.

  • action and loanId are required.
  • associatedEntityId, associatedEntityType and relationship are optional.
  • If loanId is provided, all the tasks for the given loan will be reassigned.
  • If loanId, associatedEntityId and associatedEntityType are provided, all the tasks for the given loan with associated entityId and entityType are reassigned.
Query Params
string
required

Type of update.

string

Order index. The default is 1.

string

The unique identifier assigned to the task group template to return.

string

Assignee Entity ID.

string

Association Entity Type.

string

Work Entity ID.

string

Work Entity Type.

string

Primary assignee of the task.

string

Assignee Entity Type.

string

Association Entity ID.

string

Relationship of association.

string

Comma-separated list of properties names in which to sort.

integer

Zero-based indicator of the page.

integer

The maximum number of entities to return as part of the page.

integer

Zero-based indicator of first collection entity.

integer

The maximum number of entities to return as part of the collection.

integer

Priority number of the task template.

string

Comma-separated list of tags.

string

Comma-separated list of template ids.

string

Comma-separated list of task types.

Body Params
string

Resolution of the task group.

string

Resolution comment of the task group.

string

Status of the task group. Possible values are:

  • NOT_STARTED
  • IN_PROGRESS
  • COMPLETED
assignee
object

Primary assignee of the task group.

integer

Priority of the task group.

reorderItems
array of objects

List of items, or task group IDs, to reorder.

reorderItems
Headers
string
required

Bearer token

Responses

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json